Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226459 - Merge Review: system-config-kickstart
Summary: Merge Review: system-config-kickstart
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:05 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-12 19:43:13 UTC
dcantrell: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:05:39 UTC
Fedora Merge Review: system-config-kickstart

http://cvs.fedora.redhat.com/viewcvs/devel/system-config-kickstart/
Initial Owner: clumens@redhat.com

Comment 1 David Cantrell 2007-06-11 18:36:04 UTC
W: system-config-kickstart summary-ended-with-dot A graphical interface for
making kickstart files.
E: system-config-kickstart tag-not-utf8 %changelog
E: system-config-kickstart non-utf8-spec-file system-config-kickstart.spec
W: system-config-kickstart unversioned-explicit-obsoletes ksconfig
W: system-config-kickstart unversioned-explicit-obsoletes redhat-config-kickstart
W: system-config-kickstart macro-in-%changelog packages
W: system-config-kickstart macro-in-%changelog doc
W: system-config-kickstart no-%build-section

The Source0 field should contain the URL to the downloadable source or a comment
like this above it:

# This is a Red Hat maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.

BuildRoot should be:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Personal opinion: group Obsoletes, BuildRequires, and Requires items on to a
smaller number of lines?

%{buildroot} vs. $RPM_BUILD_ROOT

Line 17 has a trailing space.

In %files, use %defattr(-,root,root,-)

Use path macros in %files section.

Make sure desktop-file-install usage is per the guidelines:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6

Comment 2 Chris Lumens 2007-06-11 19:21:57 UTC
> W: system-config-kickstart summary-ended-with-dot A graphical interface for
> making kickstart files.

Fixed.

> E: system-config-kickstart tag-not-utf8 %changelog
> E: system-config-kickstart non-utf8-spec-file system-config-kickstart.spec
> W: system-config-kickstart macro-in-%changelog packages
> W: system-config-kickstart macro-in-%changelog doc

I think the first two are complaining about someone's name in a changelog entry
from 2002.  All of these require going back and modifying the changelog, which
I'm not really excited about doing unless I absolutely have to.

> W: system-config-kickstart no-%build-section
> 
> The Source0 field should contain the URL to the downloadable source or a comment
> like this above it:
> 
> # This is a Red Hat maintained package which is specific to
> # our distribution.  Thus the source is only available from
> # within this srpm.
> 
> BuildRoot should be:
> %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> 
> Personal opinion: group Obsoletes, BuildRequires, and Requires items on to a
> smaller number of lines?
> 
> %{buildroot} vs. $RPM_BUILD_ROOT
> 
> Line 17 has a trailing space.
> 
> In %files, use %defattr(-,root,root,-)
> 
> Use path macros in %files section.
> 
> Make sure desktop-file-install usage is per the guidelines:
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6

Fixed.



Note You need to log in before you can comment on or make changes to this bug.